<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Inertia\Inertia;
use Inertia\Response;

use App\Models\User;
use App\Models\Product;
use App\Models\Order;


class DashboardController extends Controller
{
    /**
     * Show the All Users view.
     */
    public function show(Request $request): Response
    {
        $users = formatNumber(User::count());
        $products = formatNumber(Product::count());
        $orders = formatNumber(Order::count());

        return Inertia::render('Admin/Dashboard', [
            'users' => $users,
            'products' => $products,
            'orders' => $orders,
        ]);
    }
}
