<?php

use App\Http\Controllers\Admin\AdminAuthenticatedSessionController;
use App\Http\Controllers\Admin\SettingsController;
use App\Http\Controllers\Admin\UsersController;
use App\Http\Controllers\Admin\ProductsController;
use App\Http\Controllers\Admin\OrdersController;
// use App\Http\Controllers\Auth\ConfirmablePasswordController;
// use App\Http\Controllers\Auth\EmailVerificationNotificationController;
// use App\Http\Controllers\Auth\EmailVerificationPromptController;
// use App\Http\Controllers\Auth\NewPasswordController;
// use App\Http\Controllers\Auth\PasswordController;
// use App\Http\Controllers\Auth\PasswordResetLinkController;
// use App\Http\Controllers\Auth\RegisteredUserController;
// use App\Http\Controllers\Auth\VerifyEmailController;
use Illuminate\Support\Facades\Route;

Route::middleware('guest:admin')->group(function () {
    // Route::get('register', [RegisteredUserController::class, 'create'])
    //             ->name('register');

    // Route::post('register', [RegisteredUserController::class, 'store']);

    Route::prefix('admin')->group(function () {
        Route::get('/', [AdminAuthenticatedSessionController::class, 'create'])
            ->name('admin.login');
        Route::get('login', [AdminAuthenticatedSessionController::class, 'create'])
            ->name('admin.login');
    });

    Route::post('admin/login', [AdminAuthenticatedSessionController::class, 'store']);

    // Route::get('forgot-password', [PasswordResetLinkController::class, 'create'])
    //             ->name('password.request');

    // Route::post('forgot-password', [PasswordResetLinkController::class, 'store'])
    //             ->name('password.email');

    // Route::get('reset-password/{token}', [NewPasswordController::class, 'create'])
    //             ->name('password.reset');

    // Route::post('reset-password', [NewPasswordController::class, 'store'])
    //             ->name('password.store');
});

Route::middleware('auth:admin')->group(function () {
    // Route::get('verify-email', EmailVerificationPromptController::class)
    //             ->name('verification.notice');

    // Route::get('verify-email/{id}/{hash}', VerifyEmailController::class)
    //             ->middleware(['signed', 'throttle:6,1'])
    //             ->name('verification.verify');

    // Route::post('email/verification-notification', [EmailVerificationNotificationController::class, 'store'])
    //             ->middleware('throttle:6,1')
    //             ->name('verification.send');

    // Route::get('confirm-password', [ConfirmablePasswordController::class, 'show'])
    //             ->name('password.confirm');

    // Route::post('confirm-password', [ConfirmablePasswordController::class, 'store']);

    // Route::put('password', [PasswordController::class, 'update'])->name('password.update');

    Route::get('admin/settings', [SettingsController::class, 'settings'])
                ->name('admin.settings');
    Route::post('admin/settings', [SettingsController::class, 'saveSettings'])
                ->name('admin.settings.update');

    /* Users */
    Route::get('admin/users', [UsersController::class, 'show'])
                ->name('admin.users');
    Route::get('admin/users/add', [UsersController::class, 'add'])
                ->name('admin.users.add');
    Route::post('admin/users/add', [UsersController::class, 'create'])
                ->name('admin.users.create');
    Route::get('admin/user/edit/{id}', [UsersController::class, 'edit'])->name('admin.user.edit');
    Route::post('admin/user/edit/{id}', [UsersController::class, 'update'])->name('admin.user.update');
    Route::post('admin/users/delete/{id}', [UsersController::class, 'delete'])
                ->name('admin.users.delete');

    /* Users Addresses */
    Route::get('admin/users/{id}/addresses', [UsersController::class, 'showAddresses'])
                ->name('admin.users.addresses');
    Route::get('admin/user/{id}/address/add', [UsersController::class, 'addAddress'])
                ->name('admin.user.address.add');
    Route::post('admin/user/{id}/address/add', [UsersController::class, 'createAddress'])
                ->name('admin.user.address.create');
    Route::get('admin/user/{id}/address/edit/{aid}', [UsersController::class, 'editAddress'])
                ->name('admin.user.address.edit');
    Route::post('admin/user/{id}/address/edit/{aid}', [UsersController::class, 'updateAddress'])
                ->name('admin.user.address.update');

    /* Products */
    Route::get('admin/products/add', [ProductsController::class, 'add'])
                ->name('admin.products.add');
    Route::post('admin/products/create', [ProductsController::class, 'create'])
                ->name('admin.products.create');
    Route::get('admin/product/edit/{id}', [ProductsController::class, 'edit'])->name('admin.product.edit');
    Route::post('admin/product/edit/{id}', [ProductsController::class, 'update'])->name('admin.product.update');
    Route::post('admin/products/delete/{id}', [ProductsController::class, 'delete'])
                ->name('admin.products.delete');
    Route::get('admin/products', [ProductsController::class, 'show'])->name('admin.products');
    Route::post('admin/products/multiselect', [ProductsController::class, 'multiSelectProcesses'])->name('admin.products.multiselect');
    Route::get('admin/products/import', [ProductsController::class, 'import'])->name('admin.import');
    Route::post('admin/products/import', [ProductsController::class, 'importSave'])->name('admin.import.save');

    /* Product Makes */
    Route::get('admin/products/allmakes', [ProductsController::class, 'allMakes'])
                ->name('admin.products.allmakes');
    Route::get('admin/products/make/add', [ProductsController::class, 'addMake'])
                ->name('admin.products.addmake');
    Route::post('admin/products/make/add', [ProductsController::class, 'createCarMake'])
                ->name('admin.products.createmake');
    Route::post('admin/products/make/delete/{id}', [ProductsController::class, 'deleteCarMake'])
                ->name('admin.products.delete.make');
    Route::get('admin/product/make/edit/{id}', [ProductsController::class, 'editCarMake'])->name('admin.product.make.edit');
    Route::post('admin/product/make/edit/{id}', [ProductsController::class, 'updateCarMake'])->name('admin.product.make.update');

    /* Product Models */
    Route::get('admin/products/allmodels', [ProductsController::class, 'allModels'])
                ->name('admin.products.allmodels');
    Route::get('admin/products/model/add', [ProductsController::class, 'addModel'])
                ->name('admin.products.addmodel');
    Route::post('admin/products/model/add', [ProductsController::class, 'createCarmodel'])
                ->name('admin.products.createmodel');
    Route::post('admin/products/model/delete/{id}', [ProductsController::class, 'deleteCarmodel'])
                ->name('admin.products.delete.model');
    Route::get('admin/product/model/edit/{id}', [ProductsController::class, 'editCarmodel'])->name('admin.product.model.edit');
    Route::post('admin/product/model/edit/{id}', [ProductsController::class, 'updateCarmodel'])->name('admin.product.model.update');

    /* Product BodyStyle */
    Route::get('admin/products/allbodystyles', [ProductsController::class, 'allBodyStyles'])
                ->name('admin.products.allbodystyles');
    Route::get('admin/products/bodystyle/add', [ProductsController::class, 'addBodyStyle'])
                ->name('admin.products.addbodystyle');
    Route::post('admin/products/bodystyle/add', [ProductsController::class, 'createCarBodyStyle'])
                ->name('admin.products.createbodystyle');
    Route::post('admin/products/bodystyle/delete/{id}', [ProductsController::class, 'deleteCarBodyStyle'])
                ->name('admin.products.delete.bodystyle');
    Route::get('admin/product/bodystyle/edit/{id}', [ProductsController::class, 'editCarBodyStyle'])->name('admin.product.bodystyle.edit');
    Route::post('admin/product/bodystyle/edit/{id}', [ProductsController::class, 'updateCarBodyStyle'])->name('admin.product.bodystyle.update');

    /* Orders */
    Route::get('admin/orders', [OrdersController::class, 'show'])
                ->name('admin.orders');

    Route::post('admin/logout', [AdminAuthenticatedSessionController::class, 'destroy'])
                ->name('admin.logout');
});
